AMULEWEB(1)

NAME
amuleweb - aMule Webserver

SYNTAX
amuleweb [-h <Host>] [-p <Port>] [-P <Passwort>] [-f <Pfad>] [-q] [-v] [-l <Sprache>] [-w] [-t <Name>] [-s <Port>] [-z] [-Z] [-A <Passwort>] [-G <Passwort>] [-a] [-d] [-L] [-N]

amuleweb [-f <Pfad>] --create-config-from=<Pfad>

amuleweb [--help] [--version]

amuleweb --amule-config-file=<Pfad>

amuleweb --no-php

BESCHREIBUNG
amuleweb ermöglicht dir den Zugriff auf amule(d) per Webbrowser. Man kann amuleweb zusammen mit amule(1) starten lassen, oder ihn separat später starten. Optionen können auf der Kommandozeile oder in der Konfigurationsdatei angegeben werden. Kommandozeilenoptionen überschreiben die Werte aus der Konfigurationsdatei.

-h, --host=<Host>
    Der Rechner auf dem aMule läuft (Standard: localhost). <Host> kann eine IP-Adresse oder ein DNS-Name sein.

-p, --port=<Port>
    aMule's Port für Externe Verbindungen, wie in den Optionen unter->Fernsteuerung (Standard: 4712) eingestellt.

-P, --password=<Passwort>
    Passwort für Externe Verbindungen.

-f, --config-file=<Pfad>
    Benutzt die angegebene Konfigurationsdatei. Die Standardkonfigurationsdatei ist ~/.aMule/remote.conf

-q, --quiet
    Gebe keine Ausgaben auf der Standardausgabe aus. Du könntest -q benutzen um den Webserver als Dämon laufen zu lassen, z.B. durch Aufruf von 'amuleweb -q &'

-v, --verbose
    Sei gesprächig - Gebe auch Debuggingausgaben aus

-l, --locale=<Sprache>
    Setzt die Locale (Sprache) des Programms. Siehe Abschnitt SPRACHEN für die Beschreibung des <Sprache> Parameter.

-w, --write-config
    Schreibe die Kommandozeilenoptionen in die Konfigurationsdatei und kehre zur Shell zurück.

--create-config-from=<Pfad>
    Erstellt eine Konfigurationsdatei basierend auf <Pfad>, welche auf eine gültige Amulekonfigurationsdatei verweisen muss, und kehre zur Shell zurück.

-t, --template=<Name>
    Lädt die mit <Name> spezifizierte Vorlage. Siehe auch Abschnitt SKIN UNTERSTÜTZUNG

-s, --server-port=<Port>
    HTTP Port des Webservers. Der Port der mit dem Browser erreichbar sein soll (Standard: 4711)

-z, --enable-gzip
    Benutzt gzip Kompression für den HTTP Verkehr um Bandbreite zu sparen

-Z, --disable-gzip
    Schalten die gzip Kompression ab (Standard)

-A, --admin-pass=<Passwort>
    Passwort für vollen Zugriff auf den Webserver

-G, --guest-pass=<Passwort>
    Gäste Passwort für den Webserver

-a, --allow-guest
    Erlaubt den Zugriff als Gast

-d, --deny-guest
    Verbietet den Zugriff als Gast (Standard)

-L, --load-settings
    Lade/Speichere Einstellungen vom/zum entfernen aMule. Dies bringt amuleweb dazu, die Kommandozeilen- und Konfigurationsdateieinstellungen zu ignorieren, und von aMule zu beziehen. Beim Speichern werden keine Einstellungen in die Konfigurationsdatei geschrieben, sondern zu aMule gesendet. (das funktioniert nur für Einstellungen in aMule's Einstellungen->Fernsteuerung Dialog)

-N, --no-script-cache
    Erstellt die PHP-Seiten bei jedem Aufruf neu

--amule-config-file=<Pfad>
    Pfad zur aMule Konfigurationsdatei. NICHT DIREKT BENUTZEN! aMule benutzt dies zum starten von amuleweb wenn aMule startet. Diese Option sorgt dafür, das alle anderen Paramter ignoriert werden, und nur aus der angegeben Datei gelesen werden, und impliziert auch die -q -L Optionen.

--help
    Gibt eine kurze Beschreibung aus.

--version
    Zeigt die derzeitige Versionsnummer an.

ANMERKUNGEN

  Pfade
If you specify a file without giving an absolute path (i.e. just a plain filename, such as --path=remote.conf), then this file is searched within the aMule configuration directory, ~/.aMule.

  SPRACHEN
Der <Sprache> Parameter für die -l Option hat folgende Form: sprache[_SPRACHE][.KODIERUNG][@zusatz] wobei sprache die primäre Sprache, SPRACHE die Regionalsprache, KODIERUNG die Zeichentabelle ist, und zusatz "erlaubt es dem Nutzer eine bestimmte Auswahl innerhalb einer einzigen Kategorie auszuwählen".

Zum Besispiel sind die folgenden Zeichenketten gültig:
de
de_DE
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Alle oben genannten Zeicheketten werden als gültige Sprachdefinitionen akzeptiert, KODIERUNG und zusatz werden zur Zeit nicht genutzt.

Zusätzlich zu den obigen Formaten, kann man komplette englishe Sprachbezeichnungen angeben - -l german ist ebenfalls gültig und entspricht -l de_DE.

Wenn keine Sprache definiert wurde, weder in der Kommandozeile noch in der Konfigurationsdatei, wird die Standardsprache des Systems verwendet.

SKIN UNTERSTÜTZUNG
amuleweb ist in der Lage Information in Verschiedenen Skins darzustellen. Diese Skins werden Templates genannt. du kannst aMule mit der -t Kommandozeilenoption dazu veranlassen, ein bestimmtest Template zu laden. Templates werden an zwei Stellen gesucht: Zuerstt in ~/.aMule/webserver/ dann in $(pkgdatadir)/webserver/ ($(pkgdatadir) ist der Installationsordner architekturunabhängiger Dateien, meistens /usr/share/amule). Jedes Template muss in einem Unterverzeichnis des Templatenamens liegen, und dieses Verzeichnis muss alle Dateien enthalten die das Template benötigt. Die Templatedatei heißt aMule.tmpl

Zum Beispiel, das Standardtemplate (Name: 'default') liegt in webserver/default/. Das Verzeichnis enthält aMule.tmpl und viele Bilddateien.

DATEIEN
~/.aMule/remote.conf
~/.aMule/webserver/
$(pkgdatadir)/webserver/

BEISPIEL
Typischerweise wird amuleweb als erstes folgendermaßen gestartet:

amuleweb -h hostname -p EC-Port -P EC-Passwort -s HTTP-Port -A Admin-Passwort -w

oder

amuleweb --create-config-from=/home/username/.aMule/amule.conf

Dies speichert die Einstellungen in $HOME/.aMule/remote.conf, und tippst du nur noch:

amuleweb

Natürlich kann man zusätzliche Optionen angeben und einzelne auch beim ersten Start weglassen, oder es komplett anders machen.

FEHLER MELDEN
Bitte meldet Fehler entweder in unserem Forum (http://forum.amule.org/), oder in unseren Bugtracker (http://bugs.amule.org/). Bitte meldet uns keine Fehler per E-Mail, noch auf unsere Mailingliste oder direkt an unsere Teammitglieder.

COPYRIGHT
aMule und alle seine zugehörigen Anwendungen werden verteilt unter der GNU General Public License

SIEHE AUCH
amule(1), amulecmd(1)